%define module psh

Name: perl-sh
Version: 0.009
Release: alt5

Packager: Grigory Milev <week@altlinux.ru>

Summary: The Perl Shell (%module)
License: GPL
Group: Development/Perl
Url: http://www.focusresearch.com/gregor/psh/index.html

BuildArch: noarch
Source: http://www.focusresearch.com/gregor/psh/%module-%version.tar.bz2
Patch0: %module-makefile-man.patch.bz2

%set_perl_req_method relaxed

AutoReqProv: perl, yes

# Automatically added by buildreq on Mon Nov 11 2002
BuildRequires: perl-devel

%description
The Perl Shell (psh) combines aspects of bash and other shells with the power
of Perl scripting. It aspires to be your primary login shell.

%prep
%setup -q -n %module-%version
%patch0 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f $RPM_BUILD_ROOT%perl_vendor_privlib/Psh/OS/Win*

%files
%doc README* pshrc INSTALL* HACKING RELEASE examples/*
%_bindir/*
%perl_vendor_privlib/Psh*
%perl_vendor_man3dir/*
%perl_vendor_man1dir/*

%changelog
* Tue Nov 12 2002 Stanislav Ievlev <inger@altlinux.ru> 0.009-alt5
- removed deps on win32

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.009-alt4
- rebuild with new perl

* Wed Jul 18 2001 Grigory Milev <week@altlinux.ru> 0.009-alt3
- Some spec cleanup
- Arch subdirs corected

* Fri Jun 13 2001 Grigory Milev <week@altlinux.ru> 0.009-alt2
- Rewrite spec for compatible with new police

* Fri Jun 10 2001 Grigory Milev <week@altlinux.ru> 0.009-alt1
- first build for Sisyphus
